<?php

namespace Controller;
 
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DataSource\DataSet;
use Exception; 

class CnpjController extends \Zeedhi\Framework\Controller\Simple {
 
    protected $cnpjController;
    
    public function __construct(\Service\CnpjService $cnpjService) {
        $this->cnpjService = $cnpjService;
    }

    public function consultaCnpj(Request $request, Response $response){
        $row = $request->getRow();
        
        $nrinsjurclie = $row['NRINSJURCLIE'];
        
        $dadosCnpj = $this->cnpjService->consultaCnpj($nrinsjurclie); 
        
        $dataSet = new DataSet("data", array($dadosCnpj));
        $response->addDataSet($dataSet);
    }

}